QGIS Application - Bug report #15121
Join Attributes by Location doesn't process integer attributes
2016-06-23 11:14 AM - Andrzej Popowski

Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 23062
Description

When executing QGIS geoalgorithm "Join Attributes by Location" with attribute summary as "Take summary of intersecting features",
output shapefile doesn't include any summary of an integer attribute.

Test example from the QGIS sample data, Alaska shapefiles: target layer "alaska", join layer "airports". Missing are summaries of integer
attributes "ID" and "fk_region", present are summaries of float attribute "ELEV".

Problem exist in version 2.14, version 2.13 works correctly. Tested on Windows 10, QGIS 64-bit.

Maybe problem is connected with reports: #15072 #14411

Related issues:
Duplicates QGIS Application - Bug report # 15072: Join Attributes by Location... Closed 2016-06-18

History

#1 - 2016-06-23 04:49 PM - Eric Brelsford

I can confirm this with 2.14.3. | have a class of people using 2.14.3, some with Macs, some with Linux, some with Windows, and only the Windows users
are seeing this behavior.

#2 - 2016-06-24 12:08 AM - Alexander Bruy
- Resolution set to duplicate

- Status changed from Open to Rejected
